/*****************************************************************************
*                   Christmas Soldering Kit Example Sketch                   *
*                     AusThai Solutions - www.austhai.com                    *
*----------------------------------------------------------------------------*
*       Revision:          1.0                                               *
*       Date:              05/12/15                                          *
*       Author:            Thomas Mc Neill                                   *
*----------------------------------------------------------------------------*
*  This sketch demonstrates the functions of the Christmas Soldering Kit.    *
*  It monitors the analog input from the light sensor. When the light drops  *
*  below the threshold a 200ms pulse is sent to the sound chip to start the  *
*  music. Then the LED light sequence is started.                            *
*                                                                            *  
*  There is a main sequence that is repeasted twice then a final sequence    *
*  runs. When the final sequence has finished there is a three second pause  *
*  before the sketch returns to check the light sensor.                      *
*****************************************************************************/
int LDR = 0;                 // LDR Input
int SetLevel = 100;          // Light threshold to start the show
int i;

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize the pins
  pinMode(A1, OUTPUT);        // LED 3
  digitalWrite(A1, LOW);
  pinMode(A3, OUTPUT);        // LED 2
  digitalWrite(A3, LOW);
  pinMode(A4, OUTPUT);        // LED 1 (Rudolf)
  digitalWrite(A4, LOW);
  pinMode(A5, OUTPUT);        // Music! (Pulse for 200ms to start the music)
  digitalWrite(A5, LOW);
}

// the loop function runs over and over again forever
void loop() {
  delay(50);                  // wait for a 100ms
  if(analogRead(LDR)>SetLevel)
  {  
    digitalWrite(A5, HIGH);   // Start the music
    delay(200);
    digitalWrite(A5, LOW);
    for(i=0;i<2;i++)
    {
    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               // wait for 600ms
    digitalWrite(A4, LOW);    // LED 1 off
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(600);               
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(600);               
    digitalWrite(A1, LOW);    // LED 3 off
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(600);               
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(200);               
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(200);               
    digitalWrite(A1, LOW);    // LED 3 off
    delay(200);               
    digitalWrite(A3, LOW);    // LED 2 off
    delay(200);               
    digitalWrite(A4, LOW);    // LED 1 off
    delay(600);               
    
    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               
    digitalWrite(A4, LOW);    // LED 1 off
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(600);               
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(600);               
    digitalWrite(A1, LOW);    // LED 3 off

    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               
    digitalWrite(A4, LOW);    // LED 1 off
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(600);               
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(600);               
    digitalWrite(A1, LOW);    // LED 3 off
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(600);               
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(200);               
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(200);               
    digitalWrite(A1, LOW);    // LED 3 off
    delay(200);               
    digitalWrite(A3, LOW);    // LED 2 off
    delay(200);               
    digitalWrite(A4, LOW);    // LED 1 off
    delay(600); 

    digitalWrite(A4, HIGH);   // LED 1 on
    digitalWrite(A3, HIGH);   // LED 2 on
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(600);               
    digitalWrite(A1, LOW);    // LED 3 off
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A4, LOW);    // LED 1 off
    delay(600);               
                  
    }
    digitalWrite(A4, HIGH);   // LED 1 on
    delay(600);               
    digitalWrite(A3, HIGH);   // LED 2 on
    delay(200);               
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(200);               
    digitalWrite(A1, LOW);    // LED 3 off
    delay(200);               
    digitalWrite(A3, LOW);    // LED 2 off
    delay(200);               
    digitalWrite(A4, LOW);    // LED 1 off
    delay(600); 

    digitalWrite(A4, HIGH);   // LED 1 on
    digitalWrite(A3, HIGH);   // LED 2 on
    digitalWrite(A1, HIGH);   // LED 3 on
    delay(1200);               
    digitalWrite(A1, LOW);    // LED 3 off
    digitalWrite(A3, LOW);    // LED 2 off
    digitalWrite(A4, LOW);    // LED 1 off
                  
    delay(3000);              // Wait a while before we start again
  }
}
